/* src/psr_config.h.  Generated automatically by configure.  */
/* src/psr_config.h.in.  Generated automatically from configure.in by autoheader.  */
/* 
 * Copyright 1999-2000, University of Notre Dame.
 * Authors: Jeffrey M. Squyres and Dale Southard
 * 
 * This file is part of the Notre Dame Password Storage and Retrieval
 * (PSR) system.
 * 
 * You should have received a copy of the License Agreement for the Notre
 * Dame PSR system along with the software; see the file LICENSE.  If
 * not, contact Office of Research, University of Notre Dame, Notre Dame,
 * IN 46556.
 * 
 * Permission to modify the code and to distribute modified code is
 * granted, provided the text of this NOTICE is retained, a notice that
 * the code was modified is included with the above COPYRIGHT NOTICE and
 * with the COPYRIGHT NOTICE in the LICENSE file, and that the LICENSE
 * file is distributed with the modified code.
 * 
 * LICENSOR MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED.
 * By way of example, but not limitation, Licensor MAKES NO
 * REPRESENTATIONS OR WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY
 * PARTICULAR PURPOSE OR THAT THE USE OF THE LICENSED SOFTWARE COMPONENTS
 * OR DOCUMENTATION WILL NOT INFRINGE ANY PATENTS, COPYRIGHTS, TRADEMARKS
 * OR OTHER RIGHTS.
 * 
 * Additional copyrights may follow.
 * 
 *
 * $Id: acconfig.h,v 1.4 2000/11/14 15:40:57 jsquyres Exp $
 *
 * Global defaults for the PSR routines 
 */

#ifndef _psr_config_h_
#define _psr_config_h_


/*
 * Location of files for the PBS MOM to fork off automatically
 */
#define DAUTHR           "/export/home/PBS/bin/dauthr"
#define AUTHSHEP         "/export/home/PBS/bin/dauth_shepherd"

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* The number of bytes in a int32.  */
#define SIZEOF_INT32 0

/* The number of bytes in a long.  */
#define SIZEOF_LONG 8

/* The number of bytes in a long long.  */
#define SIZEOF_LONG_LONG 8

/* The number of bytes in a u_int32.  */
#define SIZEOF_U_INT32 0

/* The number of bytes in a unsigned int.  */
#define SIZEOF_UNSIGNED_INT 4

/* The number of bytes in a unsigned long.  */
#define SIZEOF_UNSIGNED_LONG 8

/* The number of bytes in a unsigned long long.  */
#define SIZEOF_UNSIGNED_LONG_LONG 8

/* Define if you have the <sys/ioccom.h> header file.  */
#define HAVE_SYS_IOCCOM_H 1

/* Define if you have the audit library (-laudit).  */
/* #undef HAVE_LIBAUDIT */

/* Define if you have the auth library (-lauth).  */
/* #undef HAVE_LIBAUTH */

/* Define if you have the com_err library (-lcom_err).  */
/* #undef HAVE_LIBCOM_ERR */

/* Define if you have the des library (-ldes).  */
#define HAVE_LIBDES 1

/* Define if you have the kafs library (-lkafs).  */
#define HAVE_LIBKAFS 1

/* Define if you have the kauth library (-lkauth).  */
/* #undef HAVE_LIBKAUTH */

/* Define if you have the krb library (-lkrb).  */
#define HAVE_LIBKRB 1

/* Define if you have the lwp library (-llwp).  */
/* #undef HAVE_LIBLWP */

/* Define if you have the nsl library (-lnsl).  */
#define HAVE_LIBNSL 1

/* Define if you have the prot library (-lprot).  */
/* #undef HAVE_LIBPROT */

/* Define if you have the resolv library (-lresolv).  */
#define HAVE_LIBRESOLV 1

/* Define if you have the rx library (-lrx).  */
/* #undef HAVE_LIBRX */

/* Define if you have the rxkad library (-lrxkad).  */
/* #undef HAVE_LIBRXKAD */

/* Define if you have the socket library (-lsocket).  */
#define HAVE_LIBSOCKET 1

/* Define if you have the sys library (-lsys).  */
/* #undef HAVE_LIBSYS */

/* Define if you have the ubik library (-lubik).  */
/* #undef HAVE_LIBUBIK */

#define SECRETKEYFILE    "/etc/psr_authr.seckey"
#define PUBKEYSUFFIX     ".pubkey"
#define EPASSSUFFIX      ".epass"
#define DAHOMED          ".psr_authr"
#define PATHSEP          "/"
#define ENTROPYSRC       "/bin/ps -elf"
#define MAXKEYNAME       256
#define MAXPASSLENGTH    16
#define KEYLENGTH        1024
#define ALGORITHM        EA_DES_CBC
#define USERFERMAT4      1

/* Typdefs for int32 and u_int32 added by JMS 30 Sep 200 to compile
   under Solaris 7 with Solaris Workshop 5.0 in 64 bit mode
   (-xarch=v9a) */

#if SIZEOF_INT32 == 0
#if SIZEOF_INT == 4
typedef int int32;
#elif SIZEOF_LONG == 4
typedef int int32;
#elif SIZEOF_LONG_LONG == 4
typedef int int32;
#else
#error Not able to find a type for int32.  :-(
#endif
#endif

#if SIZEOF_U_INT32 == 0
#if SIZEOF_UNSIGNED_INT == 4
typedef unsigned int u_int32;
#elif SIZEOF_UNSIGNED_LONG == 4
typedef int u_int32;
#elif SIZEOF_UNSIGNED_LONG_LONG == 4
typedef int u_int32;
#else
#error Not able to find a type for int32.  :-(
#endif
#endif

#endif
